Percona Server with XtraDB

debian lenny devel package broken?

Reported by Gnaddelwarz on 2010-10-08
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Percona Server
High
Ignacio Nin
5.1
High
Ignacio Nin
5.5
High
Ignacio Nin

Bug Description

I believe the libmysqlclient*-dev package(s) are broken. I have a package that depends on libmysqlclient15-dev.
Your repository holds a transitional package:

adserver:~/src# apt-cache show libmysqlclient15-dev
Package: libmysqlclient15-dev
Source: percona-server-dfsg-5.1
Version: 5.1.50-11.4-111.lenny
Architecture: all
Maintainer: Percona Server Development Team <email address hidden>
Installed-Size: 36
Depends: libmysqlclient-dev (>= 5.1.50-11.4-111.lenny)
Replaces: libpercona-server-client15-dev
Homepage: http://www.percona.com/
Priority: optional
Section: libdevel
Filename: pool/main/p/percona-server-dfsg-5.1/libmysqlclient15-dev_5.1.50-11.4-111.lenny_all.deb
Size: 4122
SHA256: 14d94778d0c988503229db40cc3b28f6c1d41236426e461af9edfcfab21d21d2
SHA1: 7ea017537041cdd63cc45a16796d1275cc38d725
MD5sum: 8736a069ff20d9037e310d68670eafe1
Description: Percona Server database development files - empty transitional package
 This is an empty package that depends on libmysqlclient-dev to ease the
 transition for packages with versioned build-deps on libmysqlclient15-dev.

However the libmysqlclient-dev package conflicts with this:

adserver:~/src# apt-cache show libmysqlclient-dev
Package: libmysqlclient-dev
Source: percona-server-dfsg-5.1
Version: 5.1.50-11.4-111.lenny
Architecture: amd64
Maintainer: Percona Server Development Team <email address hidden>
Installed-Size: 6456
Depends: libmysqlclient16 (>= 5.1.50-11.4-111.lenny), zlib1g-dev
Conflicts: libmysqlclient10-dev, libmysqlclient12-dev, libmysqlclient14-dev, libmysqlclient15-dev
Replaces: libmysqlclient10-dev, libmysqlclient12-dev, libmysqlclient14-dev, libmysqlclient15-dev, libpercona-xtradb-client-dev
Homepage: http://www.percona.com/
Priority: optional
Section: libdevel
Filename: pool/main/p/percona-server-dfsg-5.1/libmysqlclient-dev_5.1.50-11.4-111.lenny_amd64.deb
Size: 2207328
SHA256: 72952362a481f1e83853ebe041ede8424fd40a774f16299c077a2a51f3a7cfce
SHA1: 4843f26890285a3b6d85f4f361506f0f204ae91e
MD5sum: 27f91b1cf4ec649fddc96c12e4237157
Description: Percona Server database development files
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of Percona Server are speed, robustness and
 ease of use.
 .
 This package includes development libraries and header files.

so these packages can't be both installed, but the first depends on the second. (So maybe the second simply has to "Provides: libmysqlclient15-dev" ??)

Further info:
the relevant package ist apache-prefork-dev, which itself is required as a Build-Dep by php5.
I wanted to create a php5-mysql package which uses the proper library, right now php warns about a version mismatch:
"Your PHP MySQL library version 5.0.91 differs from your MySQL server version 5.1.50. This may cause unpredictable behavior."
So i wanted to recompile php5:
apt-get source php5-mysql
apt-get build-dep php
cd php5-5.2.6.dfsg.1/
dpkg-buildpackage -us -uc -b

but the resulting package ist still linked against the 5.0 library

Tags: pkg Edit Tag help

Related branches

lp:~ignacio-nin/percona-server/5.1.60-bug656933
Merged into lp:percona-server/5.1 at revision 429
Stewart Smith (community): Approve on 2012-02-08
Laurynas Biveinis: Approve on 2012-02-07
Ignacio Nin (community): Resubmit on 2012-02-06
lp:~ignacio-nin/percona-server/5.5.18-bug656933
Merged into lp:percona-server/5.5 at revision 213
Stewart Smith (community): Approve on 2012-02-06
Ignacio Nin: Pending requested 2012-01-19
Vadim Tkachenko (vadim-tk) wrote :

Alexandr,

Is there something we can do about it ?

Changed in percona-server:
assignee: nobody → Aleksandr Kuzminsky (akuzminsky)
Kenny Gryp (gryp) wrote :

Why should libmysqlclient-dev be Conflicting with libmysqlclient15-dev?

As you can see on the description, it is a transitional package:

Description: Percona Server database development files - empty transitional package
 This is an empty package that depends on libmysqlclient-dev to ease the
 transition for packages with versioned build-deps on libmysqlclient15-dev.

I would recommend to remove the Conflict with libmysqlclient15-dev

Kenny Gryp (gryp) wrote :

Gnaddelwarz: If you're looking for a temp fix, try this:

- edit /var/lib/dpkg/available and /var/lib/dpkg/status
- Look for Package: libmysqlclient-dev
- remove the libmysqlclient15-dev entry in the Conflicts: section

Dr Diesel (drdiesel) wrote :

Confirmed on squeeze.

libmysqlclient15-dev depending on libmysqlclient-dev which conflicts with libmysqlclient15-dev
= logical nonsense.

Please fix the repo, the bug report is almost 4 month old.

Changed in percona-server:
assignee: Aleksandr Kuzminsky (akuzminsky) → Ignacio Nin (ignacio-nin)
milestone: none → 5.1.56-12.7
Stewart Smith (stewart) on 2011-05-19
Changed in percona-server:
status: New → Confirmed
Stewart Smith (stewart) on 2011-05-25
Changed in percona-server:
importance: Undecided → High
status: Confirmed → Triaged
Stewart Smith (stewart) on 2011-06-02
Changed in percona-server:
milestone: 5.1.56-12.7 → 5.1.58-12.9
Stewart Smith (stewart) on 2011-10-21
tags: added: pkg
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers